POST Api/InspectionSvlTwoAssetDamage
URI Example
POST Api/InspectionSvlTwoAssetDamage
URI Parameters
None.
Body Parameters
InspectionSvlTwoAssetDamageBinding
| Name | Description | Type | Additional information |
|---|---|---|---|
| InspectionSvlTwoAssetId | integer |
Required |
|
| DamageClassId | integer |
Required |
|
| DamageSubClassId | integer |
Required |
|
| DamageSubSubClassId | integer |
None. |
|
| ConditionScaleId | integer |
Required |
|
| RiskScaleId | integer |
Required |
|
| Extension | integer |
Required |
|
| DamagePosition | string |
None. |
|
| Description | string |
None. |
|
| Comments | string |
None. |
|
| Recommendation | string |
None. |
|
| RecommendationNotShowOnReport | boolean |
None. |
|
| Consequences | string |
None. |
|
| ConsequencesNotShowOnReport | boolean |
None. |
Request Formats
application/json, text/json, application/hal+json
-
{ "inspectionSvlTwoAssetId": 1, "damageClassId": 2, "damageSubClassId": 3, "damageSubSubClassId": 1, "conditionScaleId": 4, "riskScaleId": 5, "extension": 6, "damagePosition": "sample string 7", "description": "sample string 8", "comments": "sample string 9", "recommendation": "sample string 10", "recommendationNotShowOnReport": true, "consequences": "sample string 12", "consequencesNotShowOnReport": true }
Resource Description
InspectionSvlTwoAssetDamageResource
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| InspectionSvlTwoAssetId | integer |
None. |
|
| DamageClassId | integer |
None. |
|
| DamageSubClassId | integer |
None. |
|
| DamageSubSubClassId | integer |
None. |
|
| ConditionScaleId | integer |
None. |
|
| RiskScaleId | integer |
None. |
|
| DamagePosition | string |
None. |
|
| Extension | integer |
None. |
|
| Description | string |
None. |
|
| Comments | string |
None. |
|
| Recommendation | string |
None. |
|
| RecommendationNotShowOnReport | boolean |
None. |
|
| Consequences | string |
None. |
|
| ConsequencesNotShowOnReport | boolean |
None. |
|
| IsBlocked | boolean |
None. |
|
| UpdateDate | date |
None. |
|
| _links | Dictionary of string [key] and Link [value] |
None. |
|
| _embedded | Dictionary of string [key] and Object [value] |
None. |
Response Formats
application/json, text/json, application/hal+json
-
{ "_links": { "sample string 1": { "href": "sample string 1", "method": "sample string 2", "rel": [ "sample string 1", "sample string 2" ] }, "sample string 2": { "href": "sample string 1", "method": "sample string 2", "rel": [ "sample string 1", "sample string 2" ] } }, "id": 1, "inspectionSvlTwoAssetId": 2, "damageClassId": 3, "damageSubClassId": 1, "damageSubSubClassId": 1, "conditionScaleId": 4, "riskScaleId": 5, "damagePosition": "sample string 6", "extension": 7, "description": "sample string 8", "comments": "sample string 9", "recommendation": "sample string 10", "recommendationNotShowOnReport": true, "consequences": "sample string 12", "consequencesNotShowOnReport": true, "isBlocked": true, "updateDate": "2026-10-29T13:05:11.7786724+01:00", "_embedded": { "sample string 1": {}, "sample string 3": {} } }